<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:elml="http://www.elml.ch" xmlns="http://www.w3.org/1999/xhtml" xmlns:xhtml="http://www.w3.org/1999/xhtml" version="2.0" xmlns:functx="http://www.functx.com" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xsl:import href="../../../core/presentation/online/elml.xsl"/>
	<!-- ***** Parameter definitions  *****-->
	<!--The name of this layout (=folder name of template folder!) -->
	<xsl:param name="layout" select="'cartouche'"/>
	<xsl:template name="elml:LayoutBody">
		<xsl:param name="prev">
			<xsl:call-template name="elml:prev_file"/>
		</xsl:param>
		<xsl:param name="next">
			<xsl:call-template name="elml:next_file"/>
		</xsl:param>
		<body>
			<xsl:attribute name="id">
				<xsl:text>body_</xsl:text>
				<xsl:call-template name="elml:Label_param"/>
			</xsl:attribute>
<!--			<script type="text/javascript" src="../../../_templates/{$layout}/lightwindow/prototype.js"><![CDATA[ ]]></script>
			<script type="text/javascript" src="../../../_templates/{$layout}/lightwindow/scriptaculous.js?load=effects"><![CDATA[ ]]></script>
			<script type="text/javascript" src="../../../_templates/{$layout}/lightwindow/lightwindow.js"><![CDATA[ ]]></script>
-->			<xsl:call-template name="elml:LayoutBodySkiplinks"/>
			<div id="page_margins">
				<div id="page">
					<div id="header">
            <div id="bg_head2"> </div>
            <div id="bg_head3"> </div>
            <div id="bg_head4"> </div>
            <div id="bg_head5"> </div>
			<div id="navline"> </div>
						<div id="logo">
							<a href="http://www.e-cartouche.ch/content_overview.php" target="_top">
							<img src="../../../_templates/{$layout}/images/logo.gif" alt="CartouCHe Logo"/>
						</a>
						</div>
						<div id="full_projectname">
                <h2>Cartography for Swiss Higher Education</h2>
            </div>
						<div id="buttons">
									<a>
										<xsl:attribute name="href">
											<xsl:text>../text/</xsl:text>
											<xsl:value-of select="/elml:lesson/@label"/>
											<xsl:text>.pdf</xsl:text>
										</xsl:attribute>
										<img src="../../../_templates/{$layout}/icons/pdf.gif" height="20" width="20" alt="pdf version"/>
									</a>
					   
									<a target="_top">
										<xsl:attribute name="href">
											<xsl:if test="not(($pagebreak_level='unit') or ($pagebreak_level='lo'))">
												<xsl:text>#</xsl:text>
											</xsl:if>
											<xsl:value-of select="/elml:lesson/@label"/>
											<xsl:text>_glossary.html</xsl:text>
										</xsl:attribute>
										<img src="../../../_templates/{$layout}/icons/glossary.gif" height="20" width="20" alt="Glossary" border="0"/>
									</a>
									<a href="http://www.e-cartouche.ch/contact.php" target="_blank">
										<img src="../../../_templates/{$layout}/icons/help.gif" height="20" width="20" alt="help"/>
									</a>
						</div>
						<div id="topnav">
							<span>
								<xsl:call-template name="elml:path_full"/>
							</span>
						</div>
					</div>
					<xsl:if test="$multiple='on'">
						<!-- #nav: Top Navigation -->
						<div id="nav">
							<div id="nav_main">
								<ul>
									<xsl:call-template name="elml:navigation_top"/>
								</ul>
							</div>
						</div>
						<!-- #nav: - End -->
					</xsl:if>
					<!-- #main: Start Content Part -->
					<div id="main">
						<!-- #col1: First column contains navigation in Cartouche -->
						<div id="col1">
							<div id="col1_content" class="clearfix">
								<xsl:call-template name="elml:navigation"/>
							</div>
						</div>
						<!-- #col1: - End -->
						<!-- #col2: Second column contains context information (if available) in Cartouche -->
						<div id="col2">
							<div id="col2_content" class="clearfix">
									<xsl:choose>
										<xsl:when test="$prev='none.html'">
											<img src="../../../_templates/{$layout}/navigation/navigationleft_leer.gif" height="14" width="14" alt="No previous page available" border="0"/>
										</xsl:when>
										<xsl:otherwise>
											<a href="{$prev}">
												<img src="../../../_templates/{$layout}/navigation/navigationleft.gif" height="14" width="14" alt="Go to previous page" border="0"/>
											</a>
										</xsl:otherwise>
									</xsl:choose>
									<xsl:choose>
										<xsl:when test="$next='none.html'">
											<img src="../../../_templates/{$layout}/navigation/navigationright_leer.gif" height="14" width="14" alt="No following page available" border="0"/>
										</xsl:when>
										<xsl:otherwise>
											<a href="{$next}">
												<img src="../../../_templates/{$layout}/navigation/navigationright.gif" height="14" width="14" alt="Go to next page" border="0"/>
											</a>
										</xsl:otherwise>
									</xsl:choose>
							</div>
						</div>
						<!-- #col2: - End -->
						<!-- #col3: Third and variable column contains all the content in Cartouche -->
						<div id="col3">
							<a id="top" name="top"/>
							<a id="content_link" name="content_link"/>
							<div id="col3_content" class="clearfix">
								<xsl:call-template name="elml:LayoutBodyContent"/>
								<br clear="all"/>
								<hr/>
								<xsl:call-template name="elml:footer"/>
								<div id="nextBack">
									<xsl:choose>
										<xsl:when test="$prev='none.html'">
											<img src="../../../_templates/{$layout}/navigation/navigationleft_leer.gif" height="14" width="14" alt="No previous page available" border="0"/>
										</xsl:when>
										<xsl:otherwise>
											<a href="{$prev}">
												<img src="../../../_templates/{$layout}/navigation/navigationleft.gif" height="14" width="14" alt="Go to previous page" border="0"/>
											</a>
										</xsl:otherwise>
									</xsl:choose>
									<br/>
									<xsl:choose>
										<xsl:when test="$next='none.html'">
											<img src="../../../_templates/{$layout}/navigation/navigationright_leer.gif" height="14" width="14" alt="No following page available" border="0"/>
										</xsl:when>
										<xsl:otherwise>
											<a href="{$next}">
												<img src="../../../_templates/{$layout}/navigation/navigationright.gif" height="14" width="14" alt="Go to next page" border="0"/>
											</a>
										</xsl:otherwise>
									</xsl:choose>
								</div>
							</div>
							<!-- IE Column Clearing -->
							<div id="ie_clearing">
								<xsl:text disable-output-escaping="yes"><![CDATA[ &nbsp; ]]></xsl:text>
							</div>
							<!-- End: IE Column Clearing -->
						</div>
						<!-- #col3: - Ende -->
					</div>
					<!-- #main: - End -->
				</div>
			</div>
		</body>
	</xsl:template>
	<xsl:template match="elml:annotation">
		<xsl:param name="display">
			<xsl:call-template name="elml:display"/>
		</xsl:param>
		<xsl:if test="$display='yes'">
			<xsl:call-template name="elml:annotation_icon"/>
			<span class="annotation">
				<xsl:attribute name="id">
					<xsl:text>annotation</xsl:text>
					<xsl:value-of select="generate-id()"/>
				</xsl:attribute>
				<xsl:call-template name="elml:Label"/>
				<xsl:apply-templates/>
			</span>
			<xsl:call-template name="elml:LayoutTooltip"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="elml:annotation_icon">
		<img src="../../../_templates/{$layout}/icons/annotation.png" class="annotation_icon" width="16" height="16">
			<xsl:attribute name="title">
				<xsl:value-of select="$name_annotation"/>
			</xsl:attribute>
			<xsl:attribute name="alt">
				<xsl:value-of select="$name_annotation"/>
			</xsl:attribute>
			<xsl:attribute name="onmouseover">
				<xsl:text>TagToTip('annotation</xsl:text>
				<xsl:value-of select="generate-id()"/>
				<xsl:text>', STICKY, true, CLOSEBTN, true, COPYCONTENT, false, TITLE, '</xsl:text>
				<xsl:value-of select="$name_annotation"/>
				<xsl:text>', BGCOLOR, 'white', BORDERCOLOR, 'black', WIDTH, 180, OFFSETX, -210, OFFSETY, -100)</xsl:text>
			</xsl:attribute>
		</img>
	</xsl:template>
	<xsl:template name="elml:footer">
<!--		<p class="footer">Update: <xsl:value-of select="day-from-date(current-date())"/>
			<xsl:text>.</xsl:text>
			<xsl:value-of select="month-from-date(current-date())"/>
			<xsl:text>.</xsl:text>
			<xsl:value-of select="year-from-date(current-date())"/>
			<xsl:if test="not($bugtracker='')"> - <a target="_blank">
					<xsl:attribute name="href">
						<xsl:value-of select="$bugtracker"/>
					</xsl:attribute>
					<xsl:value-of select="$name_bugtracker"/>
				</a>
			</xsl:if> - <a>
				<xsl:attribute name="href">
					<xsl:text>mailto:</xsl:text>
					<xsl:value-of select="$contact"/>
				</xsl:attribute>
				<xsl:value-of select="$name_contact"/>
			</a> - <a href="../text/website.pdf">
				<xsl:value-of select="$name_print"/> PDF</a> - <a href="../latex/website.pdf">LaTeX PDF</a> - <a href="http://sourceforge.net/projects/elml/" target="_blank">eLML@SourceForge</a> - <a>
				<xsl:attribute name="href">
					<xsl:choose>
						<xsl:when test="/elml:lesson/elml:metadata/elml:rights/elml:copyrightURL">
							<xsl:value-of select="/elml:lesson/elml:metadata/elml:rights/elml:copyrightURL"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$server"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:text disable-output-escaping="no"> ©</xsl:text>
				<xsl:value-of select="/elml:lesson/elml:metadata/elml:rights/elml:copyright"/>
			</a>
			<xsl:if test="$layout='yaml'"> - layout based on <a href="http://www.yaml.de" target="_blank">YAML</a></xsl:if>
		</p>-->
		        <p class="footer">
						 Update: <xsl:value-of select="day-from-date(current-date())"/>
            <xsl:text>.</xsl:text>
            <xsl:value-of select="month-from-date(current-date())"/>
            <xsl:text>.</xsl:text>
            <xsl:value-of select="year-from-date(current-date())"/> (<a href="http://www.elml.ch/" target="_blank">eLML</a>) <xsl:if test="not($bugtracker='')"> - <a target="_blank">
                    <xsl:attribute name="href">
                        <xsl:value-of select="$bugtracker"/>
                    </xsl:attribute>
                    <xsl:value-of select="$name_bugtracker"/>
                </a>
            </xsl:if> - <a>
                <xsl:attribute name="href">
                    <xsl:text>mailto:</xsl:text>
                    <xsl:value-of select="$contact"/>
                </xsl:attribute>
                <xsl:value-of select="$name_contact"/>
            </a> - <a>
                <xsl:attribute name="href">
                    <xsl:text>../text/</xsl:text>
                    <xsl:value-of select="/elml:lesson/@label"/>
                    <xsl:text>.pdf</xsl:text>
                </xsl:attribute>
                <xsl:value-of select="$name_print"/> (PDF)</a> - <a>
                <xsl:attribute name="href">
                    <xsl:choose>
                        <xsl:when test="/elml:lesson/elml:metadata/elml:rights/elml:copyrightURL">
                            <xsl:value-of select="/elml:lesson/elml:metadata/elml:rights/elml:copyrightURL"/>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:value-of select="$server"/>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:attribute>
                <xsl:text disable-output-escaping="no"> © </xsl:text>
                <xsl:value-of select="/elml:lesson/elml:metadata/elml:rights/elml:copyright"/>
            </a>
            - layout based on <a href="http://www.yaml.de" target="_blank">YAML</a>
            <a href="#top" id="upbutton">
								<img src="../../../_templates/{$layout}/navigation/navigationup.gif" alt="up" height="14" width="14" id="up"/>
						</a>
        </p>
	</xsl:template>
	<xsl:template name="elml:LayoutTooltipScriptConfig">
		<xsl:text disable-output-escaping="yes"> <![CDATA[

//===================  GLOBAL TOOPTIP CONFIGURATION  =========================//
var  tt_Debug	= false		// false or true - recommended: false once you release your page to the public
var  tt_Enabled	= true		// Allows to (temporarily) suppress tooltips, e.g. by providing the user with a button that sets this global variable to false
var  TagsToTip	= true		// false or true - if true, HTML elements to be converted to tooltips via TagToTip() are automatically hidden;
							// if false, you should hide those HTML elements yourself

// For each of the following config variables there exists a command, which is
// just the variablename in uppercase, to be passed to Tip() or TagToTip() to
// configure tooltips individually. Individual commands override global
// configuration. Order of commands is arbitrary.
// Example: onmouseover="Tip('Tooltip text', LEFT, true, BGCOLOR, '#FF9900', FADEIN, 400)"

config. Above			= false 	// false or true - tooltip above mousepointer
config. BgColor 		= '#ffcc88' // Background colour (HTML colour value, in quotes)
config. BgImg			= ''		// Path to background image, none if empty string ''
config. BorderColor		= '#ef9d56'
config. BorderStyle		= 'solid'	// Any permitted CSS value, but I recommend 'solid', 'dotted' or 'dashed'
config. BorderWidth		= 1
config. CenterMouse		= false 	// false or true - center the tip horizontally below (or above) the mousepointer
config. ClickClose		= false 	// false or true - close tooltip if the user clicks somewhere
config. ClickSticky		= false		// false or true - make tooltip sticky if user left-clicks on the hovered element while the tooltip is active
config. CloseBtn		= false 	// false or true - closebutton in titlebar
config. CloseBtnColors	= ['#990000', '#FFFFFF', '#DD3333', '#FFFFFF']	  // [Background, text, hovered background, hovered text] - use empty strings '' to inherit title colours
config. CloseBtnText	= '&nbsp;X&nbsp;'	// Close button text (may also be an image tag)
config. CopyContent		= true		// When converting a HTML element to a tooltip, copy only the element's content, rather than converting the element by its own
config. Delay			= 400		// Time span in ms until tooltip shows up
config. Duration		= 0 		// Time span in ms after which the tooltip disappears; 0 for infinite duration, < 0 for delay in ms _after_ the onmouseout until the tooltip disappears
config. FadeIn			= 0 		// Fade-in duration in ms, e.g. 400; 0 for no animation
config. FadeOut			= 0
config. FadeInterval	= 30		// Duration of each fade step in ms (recommended: 30) - shorter is smoother but causes more CPU-load
config. Fix				= null		// Fixated position - x- an y-oordinates in brackets, e.g. [210, 480], or null for no fixation
config. FollowMouse		= true		// false or true - tooltip follows the mouse
config. FontColor		= '#800000'
config. FontFace		= 'Verdana,Geneva,sans-serif'
config. FontSize		= '8pt' 	// E.g. '9pt' or '12px' - unit is mandatory
config. FontWeight		= 'normal'	// 'normal' or 'bold';
config. Height			= 0 		// Tooltip height; 0 for automatic adaption to tooltip content, < 0 (e.g. -100) for a maximum for automatic adaption
config. JumpHorz		= false		// false or true - jump horizontally to other side of mouse if tooltip would extend past clientarea boundary
config. JumpVert		= true		// false or true - jump vertically		"
config. Left			= false 	// false or true - tooltip on the left of the mouse
config. OffsetX			= 14		// Horizontal offset of left-top corner from mousepointer
config. OffsetY			= 8 		// Vertical offset
config. Opacity			= 100		// Integer between 0 and 100 - opacity of tooltip in percent
config. Padding			= 3 		// Spacing between border and content
config. Shadow			= false 	// false or true
config. ShadowColor		= '#C0C0C0'
config. ShadowWidth		= 5
config. Sticky			= false 	// false or true - fixate tip, ie. don't follow the mouse and don't hide on mouseout
config. TextAlign		= 'left'	// 'left', 'right' or 'justify'
config. Title			= ''		// Default title text applied to all tips (no default title: empty string '')
config. TitleAlign		= 'left'	// 'left' or 'right' - text alignment inside the title bar
config. TitleBgColor	= ''		// If empty string '', BorderColor will be used
config. TitleFontColor	= '#800000'	// Color of title text - if '', BgColor (of tooltip body) will be used
config. TitleFontFace	= ''		// If '' use FontFace (boldified)
config. TitleFontSize	= ''		// If '' use FontSize
config. Width			= 350 		// Tooltip width; 0 for automatic adaption to tooltip content; < -1 (e.g. -240) for a maximum width for that automatic adaption;
									// -1: tooltip width confined to the width required for the titlebar
//=======  END OF TOOLTIP CONFIG, DO NOT CHANGE ANYTHING BELOW  ==============//


		 ]]> </xsl:text>
	</xsl:template>
</xsl:stylesheet>
